### Property

# Adw ViewSwitcherSidebar:filter

since: 1.9

#### Declaration

    property filter: Gtk.Filter [ read, write ]

#### Description [src]

The item filter.

Can be used to implement search within the sidebar.

Use `AdwViewSwitcherSidebar:placeholder` to provide an empty state.

See `AdwSidebar:filter`.

Type:`GtkFilter`

Available since: 1.9

Getter method | `adw_view_switcher_sidebar_get_filter()`
Setter method | `adw_view_switcher_sidebar_set_filter()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no